/*
 * cleaner.h
 *
 *  Created on: 05.02.2011
 *      Author: ed
 */

#ifndef CLEANER_H_
#define CLEANER_H_

#include "lockable.h"
#include <ctime>

class cleaner : public condition
{
public:
	cleaner();
	void Do();
	virtual ~cleaner();
	static const time_t never;

protected:
	bool m_bAssigned;
	bool m_bAwaken;
};

extern cleaner g_victor;

#endif /* CLEANER_H_ */
